//
//  Client.swift
//  APICore
//
//  Created by Javier Cicchelli on 10/04/2023.
//  Copyright © 2023 Röck+Cöde. All rights reserved.
//

/// This protocol defines a client that will be making the API calls.
public protocol Client {
    func request<Model: Decodable>(
        endpoint: some Endpoint,
        for model: Model.Type
    ) async throws -> Model
}
